Subject: [arch-d] On the value of ILNP and SNA - is it even needed ?

From: Alexey Eromenko <[email-masked]>
Date: Fri, 8 Jan 2016 15:52:11 +0200

Identifier-Locator Network Protocol; ILNP, as defined in RFCs 6740-48

SNA: Sourceless Network Architecture
http://www.cl.cam.ac.uk/techreports/UCAM-CL-TR-849.pdf

I have read those papers.
The idea looks an interesting one, but why should those protocols use a
bigger Layer 3 packet, and send "Identifier" in every packet?

Isn't it better and easier to just do all of this at Layer 4, like SCTP or
Multipath TCP do ?
The advantage is that this reduces overhead, because at Transport Layer
those IDs are transferred only during session establishment phase, as
opposed to every packet.
It looks to me, that the whole "Identifier" idea is really a "Transport
Layer" concept (with end-to-end meaning).

-- 
-Alexey Eromenko "Technologov"